import os, sys
from dotenv import load_dotenv

load_dotenv(verbose=True)
env = os.getenv('env')

sys.path.append(os.path.abspath(os.path.join(os.getcwd(), "..")))


def get_config():
    conf = {
        'dev': {
            'media_url': 'https://videotest.yishihui.com/longvideoapi/user/virtual/crawler/registerVirtualUser',
            'our_url': 'https://testadmin.piaoquantv.com/ums/user/{}/post',
            'select_media_url': 'https://testadmin.piaoquantv.com/manager/user/info',
            'media_main_url': 'https://testadmin.piaoquantv.com/ums/user/{}/post'

        },
        'prod': {
            'media_url': 'http://longvideoapi-internal.piaoquantv.com/longvideoapi/user/virtual/crawler/registerVirtualUser',
            'our_url': 'https://admin.piaoquantv.com/ums/user/{}/post',
            'select_media_url': 'https://preadmin.piaoquantv.com/manager/user/info',
            'media_main_url': 'https://admin.piaoquantv.com/ums/user/{}/post'
        },

    }
    return conf[env]
